GET
/assignment/roles#x-amz-sso_bearer_token&account_id
http://portal.sso.{region}.amazonaws.com/assignment/roles#x-amz-sso_bearer_token&account_idLists all roles that are assigned to the user for a given AWS account.
Access Token Required: API Key
Query Params
next_tokenstring
The page token from the previous response output when you request subsequent pages.
max_resultinteger
The number of items that clients can request per page.
account_idstringrequired
The identifier for the AWS account that is assigned to the user.
maxResultsstring
Pagination limit
nextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://portal.sso.{region}.amazonaws.com/assignment/roles#x-amz-sso_bearer_token&account_id' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}